package ui.view;

public class Languages {

	static int languageVar = 0;

	static String[] arrayEN = {
			// ToolBar (0-16)
			"File", "New", "Open", "Save", "Edit", "Undo", "Redo", "Find/Replace", "Edit showed Information", "Options",
			"Reset Categories", "View", "View Size", "Help", "About Us", "Edit Edges", "Language",
			// Tables (17-24)
			"Object", "Nr.", "Device", "Energy", "Quantity", "Activated", "Field", "Information",
			// Graph (25-26)
			"None ", "Reset",
			// Warning PopUps (27-30)
			"Warning", "Do you want to save your current data?", "Do you really want to delete the Category ",
			"Please select a Category or an Object in order to delete something.",
			// Edit Edges Pop Up (31-34)
			"Edit Showed Informations", "Show Total Energy of Objects", "Show Connection Properties", "Cancel",
			// Search/Replace Pop Up (35-45)
			"Search for Objects", "Find", "Replace", "Direction", "Forward", "Backward", "Scope", "All", "Single",
			"Replace All", "Close",
			// Edit Edges Pop Up (46-55)
			"Edit Capacities of Edges", "Maximum Capacity:", "Change for all existing Edges only",
			"Change for new created Edges only", "Change for all existing and new created Edges", "Cancel",
			"Please select one of the options",
			"Please enter a number greater or equal 0 in the Field for Maximum Capacity", "Edit Edge Capacities",
			"(enter \"infinite\" for infinite Capacity)",
			// Add PopUp Tree (56-63)
			"Please enter a Name for Category ", "Please select a Category first before adding ", "Add Object Menu",
			"Name:", "Browse Image", "Add Element", "Delete Element", "Cancel",
			// Add PopUp Element (64-71)
			"Add Element to Object", "Element Name:", "Provided Energy:", "Amount:",
			"Please enter numbers in the Fields amount and Energy", "No name", "Name already given", "Cancel",
			// Info for PropertyTable (72-82)
			"Name", "Total Energy", "Manual", "Active", " is connected to", " with ID: ", "Edge: ", " to ",
			"Current flow", "Max. Capacity", "Status",
			// Info SimulationMenu (83-87)
			"Simulate", "Simulation Speed:", "Algorithm:", "non selected", "success" };

	static String[] arrayES = {
			// ToolBar (0-16)
			"Archivo", "Nuevo", "Abrir", "Guardar", "Editar", "Deshacer", "Rehacer", "Buscar/Reemplazar",
			"Editar Informacion a mostrar", "Opciones", "Resetear Categorias", "Vista", "Tamano de Vista", "Ayuda",
			"Sobre Nosotros", "Editar Conexiones", "Idiomas",
			// Tables (17-24)
			"Objeto", "Nr.", "Equipo", "Enegia", "Cantidad", "Activo", "Campo", "Informacion",
			// Graph (25-26)
			"Vacio ", "Resetear",
			// Warning PopUps(27-30)
			"Atencion", "Desea guardar su progreso?", "Esta seguro que quiere eliminar la categoria ",
			"Por favor seleccione una categoria o un objecto para poder proceder a eliminarlo.",
			// Edit Edges Pop Up (31-34)
			"Editar informacion a mostrar", "Mostrar energia total de los objetos",
			"Mostrar propiedades de las conexiones", "Cancelar",
			// Search/Replace Pop Up (35-45)
			"Buscar Objetos", "Buscar", "Reemplazar", "Direccion", "Adelante", "Atras", "Alcance", "Todo", "Uno",
			"Reemplazar Todo", "Cerrar",
			// Edit Edges Pop Up (46-55)
			"Editar Capacidad de las Conexiones", "Capacidad Max.:", "Cambiar para todas las conexiones existentes",
			"Cambiar solo para conexiones nuevas", "Cambiar para todas las conexiones existentes y nuevas", "Cancelar",
			"Por favor elija una de las opciones",
			"Por favor ingrese un valor mayor o igual a 0 en el campo de Capacidad Max.",
			"Editar capacidad de las conexiones", "(ingresar \"infinite\" para capacidad infinita)",
			// Add PopUp Tree (56-63)
			"Por favor ingrese el nombre de la categoria ", "Por favor elija una categoria antes de agregar ",
			"Menu para Agregar un Objeto", "Nombre:", "Buscar Imagen", "Agregar Elemento", "Eliminar Elemento",
			"Cancelar",
			// Add PopUp Element (64-71)
			"Agregar Elemento al Objecto", "Nombre del El.:", "Energia:", "Cantidad:",
			"Por favor ingrese valores en los campos de cantidad y energia", "Sin nombre", "Nombre en uso", "Cancelar",
			// Info for PropertyTable (72-82)
			"Nombre", "Energia Total", "Manual", "Activo", " esta conectado a ", " con ID: ", "Canto: ", " a ",
			"Corriente actual", "Capacidad Max.", "Estado",
			// Info SimulationMenu (83-87)
			"Simular", "Velocidad de Simulacion:", "Algoritmo:", "nada seleccionado", "exito" };

	static String[] arrayDE = {
			// ToolBar (0-16)
			"Datei", "Neu", "Öffnen", "Speichern", "Bearbeiten", "Rückgängig", "Wiederherstellen", "Suchen/Ersetzen",
			"Gezeigte Informationen Ersetzen", "Optionen", "Kategorien Zurücksetzen", "Ansicht", "Ansichtsgröße",
			"Hilfe", "Über Uns", "Kanten Bearbeiten", "Sprache",
			// Tables (17-24)
			"Objekt", "Nr.", "Geräte", "Energie", "Quantität", "Aktiviert", "Feld", "Information",
			// Graph (25-26)
			"Nichts ", "Zurücksetzen",
			// Warning PopUps(27-30)
			"Warnung", "Möchten Sie ihre aktuellen Daten speichern?", "Möchten Sie wirklich die Kategorie löschen ",
			"Bitte wählen Sie eine Kategorie oder ein Objekt um etwas löschen zu können.",
			// Edit Edges Pop Up (31-34)
			"Gezeigte Informationen Ersetzen", "Gesamtenergie von Objekten zeigen", "Verbindungseigenschaften zeigen", "Abbrechen",
			// Search/Replace Pop Up (35-45)
			"Objekte suchen", "Suchen", "Ersetzen", "Richtung", "Vorwärts", "Rückwerts", "Scope", "Alle", "Einzeln",
			"Alle Ersetzen", "Schließen",
			// Edit Edges Pop Up (46-55)
			"Kapazitäten von Kanten bearbeiten", "Max. Kapazität:", "Nur für alle existierenden Kanten ändern",
			"Nur für neu erstellte Kanten ändern", "Für alle existierenden und neuen Kanten ändern", "Abbrechen",
			"Bitte wählen Sie eine der Optionen",
			"Bitte geben Sie eine Zahl größer-gleich 0 im Feld für Maximale Kapazität ein", "Kapazitäten von Kanten bearbeiten",
			"(geben Sie \"infinite\" für unbeschränkte Kapazitäten ein)",
			// Add PopUp Tree (56-63)
			"Bitte geben Sie einen Namen für die Kategorie ein ", "Bitte wählen Sie eine Kategorie vor dem hinzufügen ", "Objekt Hinzufügen Menü",
			"Name:", "Bilder durchsuchen", "Element hinzufügen", "Element löschen", "Abbrechen",
			// Add PopUp Element (64-71)
			"Element zu Objekt hinzufügen", "Element Name:", "Bereitgestellte Energie:", "Menge:",
			"Bitte geben Sie Nummern in den Feldern für Menge und Energie ein", "Kein Name", "Name bereits vergeben", "Abbrechen",
			// Info for PropertyTable (72-82)
			"Name", "Gesamte Energie", "Manuell", "Aktive", " ist verbunden mit", " mit ID: ", "Kante: ", " nach ",
			"aktueller Fluss", "Max. Kapazität", "Status",
			// Info SimulationMenu (83-87)
			"Simulieren", "Simulationsgeschwindigkeit:", "Algorithmus:", "nichts ausgewählt", "Erfolg" };

	static String[] arrayCZ = {
			// ToolBar (0-16)
			"File", "New", "Open", "Save", "Edit", "Undo", "Redo", "Find/Replace", "Edit showed Information", "Options",
			"Reset Categories", "View", "View Size", "Help", "About Us", "Edit Edges", "Language",
			// Tables (17-24)
			"Object", "Nr.", "Device", "Energy", "Quantity", "Activated", "Field", "Information",
			// Graph (25-26)
			"None ", "Reset",
			// Warning PopUps(27-30)
			"Warning", "Do you want to save your current data?", "Do you really want to delete the Category ",
			"Please select a Category or an Object in order to delete something.",
			// Edit Edges Pop Up (31-34)
			"Edit Showed Informations", "Show Total Energy of Objects", "Show Connection Properties", "Cancel",
			// Search/Replace Pop Up (35-45)
			"Search for Objects", "Find", "Replace", "Direction", "Forward", "Backward", "Scope", "All", "Single",
			"Replace All", "Close",
			// Edit Edges Pop Up (46-55)
			"Edit Capacities of Edges", "Maximum Capacity:", "Change for all existing Edges only",
			"Change for new created Edges only", "Change for all existing and new created Edges", "Cancel",
			"Please select one of the options",
			"Please enter a number greater or equal 0 in the Field for Maximum Capacity", "Edit Edge Capacities",
			"(enter \"infinite\" for infinite Capacity)",
			// Add PopUp Tree (56-63)
			"Please enter a Name for Category ", "Please select a Category first before adding ", "Add Object Menu",
			"Name:", "Browse Image", "Add Element", "Delete Element", "Cancel",
			// Add PopUp Element (64-71)
			"Add Element to Object", "Element Name:", "Provided Energy:", "Amount:",
			"Please enter numbers in the Fields amount and providedEnergy", "No name", "Name already given", "Cancel",
			// Info for PropertyTable (72-82)
			"Name", "Total Energy", "Manual", "Active", " is connected to", " with ID: ", "Edge: ", " to ",
			"Current flow", "Max. Capacity", "Status",
			// Info SimulationMenu (83-87)
			"Simulate", "Simulation Speed:", "Algorithm:", "choose folder", "success" };

	static String[] arrayZH = {
			// ToolBar (0-16)
			"File", "New", "Open", "Save", "Edit", "Undo", "Redo", "Find/Replace", "Edit showed Information", "Options",
			"Reset Categories", "View", "View Size", "Help", "About Us", "Edit Edges", "Language",
			// Tables (17-24)
			"Object", "Nr.", "Device", "Energy", "Quantity", "Activated", "Field", "Information",
			// Graph (25-26)
			"None ", "Reset",
			// Warning PopUps(27-30)
			"Warning", "Do you want to save your current data?", "Do you really want to delete the Category ",
			"Please select a Category or an Object in order to delete something.",
			// Edit Edges Pop Up (31-34)
			"Edit Showed Informations", "Show Total Energy of Objects", "Show Connection Properties", "Cancel",
			// Search/Replace Pop Up (35-45)
			"Search for Objects", "Find", "Replace", "Direction", "Forward", "Backward", "Scope", "All", "Single",
			"Replace All", "Close",
			// Edit Edges Pop Up (46-55)
			"Edit Capacities of Edges", "Maximum Capacity:", "Change for all existing Edges only",
			"Change for new created Edges only", "Change for all existing and new created Edges", "Cancel",
			"Please select one of the options",
			"Please enter a number greater or equal 0 in the Field for Maximum Capacity", "Edit Edge Capacities",
			"(enter \"infinite\" for infinite Capacity)",
			// Add PopUp Tree (56-63)
			"Please enter a Name for Category ", "Please select a Category first before adding ", "Add Object Menu",
			"Name:", "Browse Image", "Add Element", "Delete Element", "Cancel",
			// Add PopUp Element (64-71)
			"Add Element to Object", "Element Name:", "Provided Energy:", "Amount:",
			"Please enter numbers in the Fields amount and providedEnergy", "No name", "Name already given", "Cancel",
			// Info for PropertyTable (72-82)
			"Name", "Total Energy", "Manual", "Active", " is connected to", " with ID: ", "Edge: ", " to ",
			"Current flow", "Max. Capacity", "Status",
			// Info SimulationMenu (83-87)
			"Simulate", "Simulation Speed:", "Algorithm:", "choose folder", "success" };

	public static String[] getLanguage() {
		switch (languageVar) {
		case 0:
			return arrayEN;
		case 1:
			return arrayES;
		case 2:
			return arrayDE;
		case 3:
			return arrayCZ;
		case 4:
			return arrayZH;
		default:
			return arrayEN;
		}
	}

	public static void setLanguage(int i) {
		languageVar = i;
	}
}
